Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class ChildNodeJoinCondition

    java.lang.Object
      org.modeshape.jcr.query.model.ChildNodeJoinCondition

All Implemented Interfaces:
  Serializable, ChildNodeJoinCondition, JoinCondition, LanguageObject, Visitable

    @Immutable
    public class ChildNodeJoinCondition

extends Object
implements JoinCondition, ChildNodeJoinCondition

A join condition that evaluates to true only when the named child node is indeed a child of the named parent node.

See Also:
  Serialized Form

Constructor Summary
`ChildNodeJoinCondition(SelectorName parentSelectorName, SelectorName childSelectorName)` Create a join condition that determines whether the node identified by the child selector is a child of the node identified by the parent selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`SelectorName` | `childSelectorName()` Get the name of the selector that represents the child.
`boolean` | `equals(Object obj)`
`String` | `getChildSelectorName()`
`String` | `getParentSelectorName()`
`int` | `hashCode()`
`SelectorName` | `parentSelectorName()` Get the name of the selector that represents the parent.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChildNodeJoinCondition

    public ChildNodeJoinCondition(SelectorName parentSelectorName,
                                  SelectorName childSelectorName)

  Create a join condition that determines whether the node identified by the child selector is a child of the node identified by the parent selector.

  Parameters:
    `parentSelectorName` - the first selector
    `childSelectorName` - the second selector

Method Detail

### childSelectorName

    public final SelectorName childSelectorName()

  Get the name of the selector that represents the child.

  Returns:
    the selector name of the child node; never null

### parentSelectorName

    public final SelectorName parentSelectorName()

  Get the name of the selector that represents the parent.

  Returns:
    the selector name of the parent node; never null

### getChildSelectorName

    public String getChildSelectorName()

  Specified by:
    `getChildSelectorName` in interface `ChildNodeJoinCondition`

### getParentSelectorName

    public String getParentSelectorName()

  Specified by:
    `getParentSelectorName` in interface `ChildNodeJoinCondition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.